std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes
Inheritance diagram for std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >:
[legend]

## Public Member Functions

const void * | _M_curr () const
std::size_t | _M_get_bucket () const

## Protected Types

using | __base_type = _Hashtable_ebo_helper< 0, _H2 >
using | __hash_code_base = _Hash_code_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >

## Protected Member Functions

| _Local_iterator_base (const __hash_code_base &__base, _Hash_node< _Value, true > *__p, std::size_t __bkt, std::size_t __bkt_count)
void | _M_incr ()

## Protected Attributes

std::size_t | _M_bucket
std::size_t | _M_bucket_count
_Hash_node< _Value, true > * | _M_cur

## Detailed Description

### template<typename _Key, typename _Value, typename _ExtractKey, typename _H1, typename _H2, typename _Hash>
struct std::__detail::_Local_iterator_base< _Key, _Value, _ExtractKey, _H1, _H2, _Hash, true >

Partial specialization used when nodes contain a cached hash code.

Definition at line 1451 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h